## deja-dup 42.2

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: Michael Terry

option('duplicity_pkgs', type: 'string', value: 'duplicity', description: 'Distro package names to install the duplicity command, separated by commas')
option('gvfs_pkgs', type: 'string', value: '', description: 'Distro package names to install giobackend duplicity support, separated by commas')
option('pydrive_pkgs', type: 'string', value: '', description: 'Distro package names to install pydrivebackend duplicity support, separated by commas')

option('profile', type: 'string', value: '', description: 'Profile name, for parallel installations')

option('google_client_id', type: 'string', value: '916137916439-evn6skqan91m96fmsskk8102e3iepv22.apps.googleusercontent.com', description: 'Google API client ID')

=== debian/changelog ===
deja-dup (42.2-1ubuntu1) groovy; urgency=medium

  * Resynchronize on Debian, remaining change
  * debian/control.in, debian/rules:
    - Suggests python3-pydrive, ideally that would be a recommends but
      the package needs to be promoted first
    - set -Dpydrive_pkgs=python3-pydrive this way deja-dup knows how to
      install the pydrive backend on demand via packagekit
  * debian/patches/disable-google-drive.patch:
    - remove the patch disabling google drive, python3-pydrive is available
      now in focal

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Aug 2020 16:50:27 +0200

deja-dup (42.2-1) unstable; urgency=medium

  * New upstream release, mount partition if needed (lp: #1761216)
  * debian/patches/translation_tests_fix.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Aug 2020 15:51:02 +0200

deja-dup (42.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright:
    - remove entry for the nautilus sources which have been removed
  * debian/control.in:
    - use libhandy now
    - don't use libgoa nor nautilus, deprecated in the new version
    - updated the glib requirement
  * debian/control.in, debian/rules:
    - remove boto and switch suggests and build option, those backends
      aren't shipped anymore
  * debian/patches/translation_tests_fix.patch:
    - update the translation template dir for the package build directories

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Jun 2020 18:25:31 +0200

deja-dup (40.7-1) unstable; urgency=medium

  * New stable update

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jun 2020 15:18:57 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream-util,
               dbus,
               debhelper-compat (= 12),
               desktop-file-utils,
               dh-sequence-gnome,
               itstool,
               libhandy-0.0-dev (>= 0.0.10),
               libglib2.0-bin,
               libglib2.0-dev (>= 2.64),
               libgpg-error-dev,
               libgtk-3-dev (>= 3.22),
               libjson-glib-dev (>= 1.2),
               libpackagekit-glib2-dev (>= 0.6.5),
               libsecret-1-dev (>= 0.18.6),
               libsoup2.4-dev (>= 2.48),
               meson (>= 0.47),
               pkg-config,
               valac (>= 0.36)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
Homepage: https://launchpad.net/deja-dup

Package: deja-dup
Architecture: any
Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
Recommends: gvfs-backends, packagekit, policykit-1
Suggests: python3-pydrive
Description: Backup utility
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations such as Nextcloud
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

## deja-dup 42.5

=== debian/changelog ===
deja-dup (42.5-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2020 21:27:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                dbus,
@@ -35,7 +34,6 @@
 Architecture: any
 Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
 Recommends: gvfs-backends, packagekit, policykit-1
-Suggests: python3-pydrive
 Description: Backup utility
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the

## deja-dup 42.6

=== debian/changelog ===
deja-dup (42.6-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Dec 2020 08:13:27 +0100

## deja-dup 42.7

=== debian/changelog ===
deja-dup (42.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - build with the new libhandy version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Feb 2021 17:38:53 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libhandy-0.0-dev (>= 0.0.10),
+               libhandy-1-dev,
                libglib2.0-bin,
                libglib2.0-dev (>= 2.64),
                libgpg-error-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
                          -Dgvfs_pkgs=gvfs-backends,python3-gi,gir1.2-glib-2.0

=== debian/watch ===
version=4
https://gitlab.gnome.org/World/deja-dup/tags \
	.*/archive/.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## deja-dup 42.8

=== debian/changelog ===
deja-dup (42.8-1ubuntu1) impish; urgency=medium

  * Resynchronize on Debian, remaining change
  * debian/control.in, debian/rules:
    - Suggests python3-pydrive, ideally that would be a recommends but
      the package needs to be promoted first
    - set -Dpydrive_pkgs=python3-pydrive this way deja-dup knows how to
      install the pydrive backend on demand via packagekit
  * debian/patches/disable-google-drive.patch:
    - remove the patch disabling google drive, python3-pydrive is available
      now in Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Aug 2021 11:17:36 +0200

deja-dup (42.8-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Aug 2021 11:02:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                dbus,
@@ -34,6 +35,7 @@
 Architecture: any
 Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
 Recommends: gvfs-backends, packagekit, policykit-1
+Suggests: python3-pydrive
 Description: Backup utility
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the

## deja-dup 42.9

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
 # SPDX-FileCopyrightText: Michael Terry
+
+option('duplicity_command', type: 'string', value: 'duplicity', description: 'Path to duplicity command')
 
 option('duplicity_pkgs', type: 'string', value: 'duplicity', description: 'Distro package names to install the duplicity command, separated by commas')
 option('gvfs_pkgs', type: 'string', value: '', description: 'Distro package names to install giobackend duplicity support, separated by commas')

=== debian/changelog ===
deja-dup (42.9-1ubuntu2) jammy; urgency=medium

  * Add patch to support GNOME 42 dark theme preference
  * debian/control.in: Bump minimum libhandy to 1.5.90 for that change

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 14:30:07 -0500

deja-dup (42.9-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining change
  * debian/control.in, debian/rules:
    - Suggests python3-pydrive, ideally that would be a recommends but
      the package needs to be promoted first
    - set -Dpydrive_pkgs=python3-pydrive this way deja-dup knows how to
      install the pydrive backend on demand via packagekit
  * debian/patches/disable-google-drive.patch:
    - remove the patch disabling google drive, python3-pydrive is available
      now in Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Feb 2022 13:44:50 +0100

deja-dup (42.9-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Feb 2022 13:39:58 +0100

deja-dup (42.8-2ubuntu2) jammy; urgency=medium

  * debian/patches/git_newglib_compat.patch:
    - backends: fix path parsing with glib 2.71+

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Jan 2022 11:17:10 +0100

deja-dup (42.8-2) unstable; urgency=medium

  * d/p/which_removal.patch: Fix a test that is using the deprecated "which"
    command.  Use "command -v" as recommended
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 Sep 2021 15:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libhandy-1-dev,
+               libhandy-1-dev (>= 1.5.90),
                libglib2.0-bin,
                libglib2.0-dev (>= 2.64),
                libgpg-error-dev,
@@ -26,7 +26,7 @@
                meson (>= 0.47),
                pkg-config,
                valac (>= 0.36)
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
 Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
 Homepage: https://launchpad.net/deja-dup

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,5 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-                          -Dgvfs_pkgs=gvfs-backends,python3-gi,gir1.2-glib-2.0
+                          -Dgvfs_pkgs=gvfs-backends,python3-gi,gir1.2-glib-2.0 \
+                          -Dpydrive_pkgs=python3-pydrive

## deja-dup 42.9-1ubuntu3+11.0trisquel1

=== debian/changelog ===
deja-dup (42.9-1ubuntu3+11.0trisquel1) aramo; urgency=medium

  * Compiled for Trisquel adjusting package category settings.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 26 Jun 2022 00:56:52 +0000

deja-dup (42.9-1ubuntu3) jammy; urgency=medium

  * debian/patches/git-goauth-deprecation.patch:
    - update the oauth workflow, the local redirection currently used by
      deja-dup is being deprcated by Google and will stop working.
      Thanks Michael Terry providing us backports of the fix!
      (lp: #1973816)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 May 2022 16:20:58 +0200

## deja-dup 43.4

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: Michael Terry

option('duplicity_command', type: 'string', value: 'duplicity', description: 'Path to duplicity command')
option('duplicity_pkgs', type: 'string', value: 'duplicity', description: 'Distro package names to install the duplicity command, separated by commas')
option('gvfs_pkgs', type: 'string', value: '', description: 'Distro package names to install giobackend duplicity support, separated by commas')
option('pydrive_pkgs', type: 'string', value: '', description: 'Distro package names to install pydrivebackend duplicity support, separated by commas')
option('requests_oauthlib_pkgs', type: 'string', value: '', description: 'Distro package names to install requests_oauthlib support, separated by commas')

# Experimental restic support, feel free to enable - users still have to opt in to actually using it.
# Note that enabling restic will also require rclone to be installed (rclone-specific options are below)
option('enable_restic', type: 'boolean', value: false, description: 'Enable experimental restic support')
option('restic_command', type: 'string', value: 'restic', description: 'Path to restic command')
option('restic_pkgs', type: 'string', value: 'restic', description: 'Distro package names to install the restic command, separated by commas')

# Wildly experimental borg support, not even exposed in UI yet. You likely don't want to enable this.
option('enable_borg', type: 'boolean', value: false, description: 'Enable experimental borg support')
option('borg_command', type: 'string', value: 'borg', description: 'Path to borg command')
option('borg_pkgs', type: 'string', value: 'borgbackup', description: 'Distro package names to install the borg command, separated by commas')

option('rclone_command', type: 'string', value: 'rclone', description: 'Path to rclone command')
option('rclone_pkgs', type: 'string', value: 'rclone', description: 'Distro package names to install the rclone command, separated by commas')

option('profile', type: 'string', value: '', description: 'Profile name, for parallel installations')

option('google_client_id', type: 'string', value: '916137916439-evn6skqan91m96fmsskk8102e3iepv22.apps.googleusercontent.com', description: 'Google API client ID')
option('microsoft_client_id', type: 'string', value: 'e6c2a4b2-6238-47df-9fc9-5b78941dd679', description: 'Microsoft API client ID')

=== debian/changelog ===
deja-dup (43.4-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control.in, debian/rules:
      + Suggests python3-pydrive, ideally that would be a recommends but
        the package needs to be promoted first
      + set -Dpydrive_pkgs=python3-pydrive this way deja-dup knows how to
        install the pydrive backend on demand via packagekit
    - debian/patches/disable-google-drive.patch:
      + remove the patch disabling google drive, python3-pydrive is available
        now in Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 12:45:48 -0400

deja-dup (43.4-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * debian/control.in: Bump minimum libadwaita to 1.1.0
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/rules: Drop no longer needed -Wl,--as-needed
  * debian/rules: Set -Wl,-z,defs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 12:40:04 -0400

deja-dup (43.3-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian, remaining change
  * debian/control.in, debian/rules:
    - Suggests python3-pydrive, ideally that would be a recommends but
      the package needs to be promoted first
    - set -Dpydrive_pkgs=python3-pydrive this way deja-dup knows how to
      install the pydrive backend on demand via packagekit
  * debian/patches/disable-google-drive.patch:
    - remove the patch disabling google drive, python3-pydrive is available
      now in Ubuntu

 -- Sebastien Bacher <seb128@debian.org>  Fri, 20 May 2022 15:37:32 +0200

deja-dup (43.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated the requirements
  * debian/patches/which_removal.patch:
    - remove, the issue is fixed in the new version

 -- Sebastien Bacher <seb128@debian.org>  Fri, 20 May 2022 15:32:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,27 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                dbus,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libhandy-1-dev (>= 1.5.90),
+               libadwaita-1-dev (>= 1.1.0),
                libglib2.0-bin,
-               libglib2.0-dev (>= 2.64),
+               libglib2.0-dev (>= 2.70),
                libgpg-error-dev,
-               libgtk-3-dev (>= 3.22),
+               libgtk-4-dev,
                libjson-glib-dev (>= 1.2),
                libpackagekit-glib2-dev (>= 0.6.5),
                libsecret-1-dev (>= 0.18.6),
-               libsoup2.4-dev (>= 2.48),
-               meson (>= 0.47),
+               libsoup-3.0-dev,
+               meson (>= 0.59),
                pkg-config,
                valac (>= 0.36)
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
 Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
 Homepage: https://launchpad.net/deja-dup

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@

## deja-dup 44.0

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: Michael Terry


# ********************************************************
# See PACKAGING.md for more documentation on these options
# ********************************************************


# Experimental restic support, feel free to enable - users still have to opt in to actually using it.
# Note that enabling restic will also require rclone to be installed (rclone-specific options are below)
option('enable_restic', type: 'boolean', value: false, description: 'Enable experimental restic support')

# Wildly experimental borg support, not even exposed in UI yet. You likely don't want to enable this.
option('enable_borg', type: 'boolean', value: false, description: 'Enable experimental borg support')

# If your setup has these commands outside the standard PATH locations, use these options to
# point at them.
option('borg_command', type: 'string', value: 'borg', description: 'Path to borg command')
option('duplicity_command', type: 'string', value: 'duplicity', description: 'Path to duplicity command')
option('rclone_command', type: 'string', value: 'rclone', description: 'Path to rclone command')
option('restic_command', type: 'string', value: 'restic', description: 'Path to restic command')

# If you cannot directly depend on the following dependencies (which would be the preferred user
# experience), you can instead enable the packagekit feature and then also specify your distro's
# package names for these commands.
# An example: -Dpackagekit=enabled -Dpydrive_pkgs=python3-pydrive2
option('packagekit', type: 'feature', value: 'disabled', description: 'Install missing dependencies at runtime')
option('borg_pkgs', type: 'string', value: 'borgbackup', description: 'Distro package names to install the borg command, separated by commas')
option('duplicity_pkgs', type: 'string', value: 'duplicity', description: 'Distro package names to install the duplicity command, separated by commas')
option('gvfs_pkgs', type: 'string', value: '', description: 'Distro package names to install giobackend duplicity support, separated by commas')
option('pydrive_pkgs', type: 'string', value: '', description: 'Distro package names to install pydrivebackend duplicity support, separated by commas')
option('rclone_pkgs', type: 'string', value: 'rclone', description: 'Distro package names to install the rclone command, separated by commas')
option('requests_oauthlib_pkgs', type: 'string', value: '', description: 'Distro package names to install requests_oauthlib support, separated by commas')
option('restic_pkgs', type: 'string', value: 'restic', description: 'Distro package names to install the restic command, separated by commas')

# You likely don't want to set this, it's only used to distinguish debug/nightly builds from release builds
option('profile', type: 'string', value: '', description: 'Profile name, for parallel installations')

# You likely don't want to set these, they are the client OAuth IDs we use for these services - but
# if you do need to show a different app name or have your own usage quotas, you can set your own ID here.
# Note that the installed mimetypes we use for the OAuth login flow are based off these option values.
option('google_client_id', type: 'string', value: '916137916439-evn6skqan91m96fmsskk8102e3iepv22.apps.googleusercontent.com', description: 'Google API client ID')
option('microsoft_client_id', type: 'string', value: 'e6c2a4b2-6238-47df-9fc9-5b78941dd679', description: 'Microsoft API client ID')

=== debian/changelog ===
deja-dup (44.0-2) unstable; urgency=medium

  * debian/control:
    - Suggests: python3-pydrive2
  * debian/rules:
    - set -Dpydrive_pkgs=python3-pydrive2 since it's not available in Debian
  * debian/patches/disable-google-drive.patch:
    - removed, it's not needed anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Jan 2023 16:51:50 +0100

deja-dup (44.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Updated the libadwaita and packaging requirements
  * debian/rules:
    - explicitly set -Dpackagekit and -Drequests_oauthlib_pkgs

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Dec 2022 11:48:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                dbus,
@@ -14,13 +13,13 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.1.0),
+               libadwaita-1-dev (>= 1.2),
                libglib2.0-bin,
                libglib2.0-dev (>= 2.70),
                libgpg-error-dev,
                libgtk-4-dev,
                libjson-glib-dev (>= 1.2),
-               libpackagekit-glib2-dev (>= 0.6.5),
+               libpackagekit-glib2-dev (>= 1.2),
                libsecret-1-dev (>= 0.18.6),
                libsoup-3.0-dev,
                meson (>= 0.59),
@@ -36,7 +35,7 @@
 Architecture: any
 Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
 Recommends: gvfs-backends, packagekit, policykit-1
-Suggests: python3-pydrive
+Suggests: python3-pydrive2
 Description: Backup utility
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
                           -Dgvfs_pkgs=gvfs-backends,python3-gi,gir1.2-glib-2.0 \
-                          -Dpydrive_pkgs=python3-pydrive
+                          -Dpackagekit=enabled \
+                          -Dpydrive_pkgs=python3-pydrive2 \
+                          -Drequests_oauthlib_pkgs=python3-requests-oauthlib

## deja-dup 44.2

=== debian/changelog ===
deja-dup (44.2-2) unstable; urgency=medium

  * Drop obsolete Recommends: policykit-1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 21 Jun 2023 20:02:08 -0400

deja-dup (44.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Jun 2023 16:07:03 +0200

deja-dup (44.1-1) unstable; urgency=medium

  * Team upload

  [ Jarred Wilson ]
  * New upstream release

  [ Jeremy Bicha ]
  * Add debian/upstream/metadata
  * Remove an obsolete maintscript entry
  * Update standards version to 4.6.2, no changes needed

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 16 May 2023 11:59:02 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                meson (>= 0.59),
                pkg-config,
                valac (>= 0.36)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
 Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
@@ -34,7 +34,7 @@
 Package: deja-dup
 Architecture: any
 Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
-Recommends: gvfs-backends, packagekit, policykit-1
+Recommends: gvfs-backends, packagekit
 Suggests: python3-pydrive2
 Description: Backup utility
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the

## deja-dup 45.2

=== meson_options.txt ===
--- 
+++ 
@@ -41,4 +41,4 @@
 # if you do need to show a different app name or have your own usage quotas, you can set your own ID here.
 # Note that the installed mimetypes we use for the OAuth login flow are based off these option values.
 option('google_client_id', type: 'string', value: '916137916439-evn6skqan91m96fmsskk8102e3iepv22.apps.googleusercontent.com', description: 'Google API client ID')
-option('microsoft_client_id', type: 'string', value: 'e6c2a4b2-6238-47df-9fc9-5b78941dd679', description: 'Microsoft API client ID')
+option('microsoft_client_id', type: 'string', value: '5291592c-3c09-44fb-a275-5027aa238645', description: 'Microsoft API client ID')

=== debian/changelog ===
deja-dup (45.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:47:41 +0000

deja-dup (45.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:12:27 +0000

deja-dup (45.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 10:48:52 -0500

deja-dup (45.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK4 to 4.12 and libadwaita to 1.4
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Nov 2023 17:45:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                dbus,
                debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.2),
+               libadwaita-1-dev (>= 1.4),
                libglib2.0-bin,
                libglib2.0-dev (>= 2.70),
                libgpg-error-dev,
-               libgtk-4-dev,
+               libgtk-4-dev (>= 4.12),
                libjson-glib-dev (>= 1.2),
                libpackagekit-glib2-dev (>= 1.2),
                libsecret-1-dev (>= 0.18.6),
@@ -47,3 +44,5 @@
   * Incrementally backs up, letting you restore from any particular backup
   * Schedules regular backups
   * Integrates well into your GNOME desktop
+ .
+ Déjà Dup is a GNOME Circle app.

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
                           -Dpackagekit=enabled \
                           -Dpydrive_pkgs=python3-pydrive2 \
                           -Drequests_oauthlib_pkgs=python3-requests-oauthlib
+
+override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://gitlab.gnome.org/World/deja-dup/-/tags \
	.*/archive/.*/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## deja-dup 45.2-1build2trisquel2

=== debian/changelog ===
deja-dup (45.2-1build2trisquel2) ecne; urgency=medium

  * Compiled for Trisquel adjusting package category settings.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 28 Oct 2024 01:30:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,

## deja-dup 49~alpha

=== debian/changelog ===
deja-dup (49~alpha-1) unstable; urgency=medium

  * New upstream release
  * d/p: Drop empty series file
  * debian/control: Sync build dependencies with upstream
  * debian/rules: Ignore failing tests
  * debian/copyright: Drop invalid references

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Aug 2025 05:55:29 +0200

deja-dup (45.2-3) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 14:04:04 +0200

deja-dup (45.2-2) unstable; urgency=medium

  * Update debian/watch
  * Update Homepage
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 15:34:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: appstream-util,
+Build-Depends: appstream,
+               blueprint-compiler (>= 0.14),
                dbus,
                debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.4),
+               libadwaita-1-dev (>= 1.7),
                libglib2.0-bin,
-               libglib2.0-dev (>= 2.70),
-               libgpg-error-dev,
-               libgtk-4-dev (>= 4.12),
+               libglib2.0-dev (>= 2.80),
+               libgtk-4-dev (>= 4.18),
                libjson-glib-dev (>= 1.2),
                libpackagekit-glib2-dev (>= 1.2),
                libsecret-1-dev (>= 0.18.6),
                libsoup-3.0-dev,
-               meson (>= 0.59),
-               pkg-config,
-               valac (>= 0.36)
-Standards-Version: 4.6.2
+               meson (>= 1.1),
+               pkgconf,
+               valac (>= 0.36),
+               xdg-user-dirs <!nocheck>,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/deja-dup
 Vcs-Git: https://salsa.debian.org/gnome-team/deja-dup.git
-Homepage: https://launchpad.net/deja-dup
+Homepage: https://apps.gnome.org/DejaDup/
 
 Package: deja-dup
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,7 @@
                           -Dpydrive_pkgs=python3-pydrive2 \
                           -Drequests_oauthlib_pkgs=python3-requests-oauthlib
 
+override_dh_auto_test:
+	-dh_auto_test
+
 override_dh_gnome_clean:

## deja-dup 49~beta

=== debian/changelog ===
deja-dup (49~beta-1ubuntu1) questing; urgency=medium

  * Merge with debian, remaining changes:
    + d/p: Use duplicity as the default backup tool
    + debian/control: Add back duplicity as dependency
    + debian/control: Set rclone as suggests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Sep 2025 02:21:34 +0200

deja-dup (49~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump dependency on adwaita 1.8

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Sep 2025 02:14:38 +0200

deja-dup (49~alpha-2ubuntu2) questing; urgency=medium

  * d/p: Use duplicity as the default backup tool
    restic is not in main, and downloading it from apt via pkg-kit it is
    still not acceptable for the main tool of deja-dup, so let's just go
    back to using duplicity as default also for the new backups (LP: #2120709)
  * debian/control: Add back duplicity as dependency.
    Duplicity is again used as the main backup tool, so let's keep it as a
    dependency instead of a suggestion.
    Restic can still used now but it now requires an explicit user
    configuration, and so it's still a suggestion

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 08:13:11 +0200

deja-dup (49~alpha-2ubuntu1) questing; urgency=medium

  * debian: Prepare for ubuntu branching
  * debian/control: Adjust dependencies for ubuntu.
    In ubuntu both restic and rclone are not in main, but deja-dup can
    install its own dependencies at runtime if packagekit is available, so
    since packagekit is in Recommends we can consider it an ubuntu
    dependency and just downgrade rclone and restic to suggests.
    deja-dup will ask the user and install the required packages if they are
    missing.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 26 Aug 2025 06:58:44 +0200

deja-dup (49~alpha-2) unstable; urgency=medium

  * debian/control: Bump dependencies as per upstream request
    (Closes: #1101078)
  * debian/rules: Update configure flags as per upstream request
    (Closes: #1101078)
  * debian/control: Add more tests dependencies.
    They're still not enough to run the tests without failures though

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 26 Aug 2025 05:59:11 +0200

deja-dup (44.0-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control.in, debian/rules:
      + Suggests python3-pydrive, ideally that would be a recommends but
        the package needs to be promoted first
      + set -Dpydrive_pkgs=python3-pydrive this way deja-dup knows how to
        install the pydrive backend on demand via packagekit
    - debian/patches/disable-google-drive.patch:
      + remove the patch disabling google drive, python3-pydrive is available
        now in Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Dec 2022 12:03:53 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
                          -Dgvfs_pkgs=gvfs-backends,gvfs-fuse \
                          -Dpackagekit=enabled

override_dh_auto_test:
	-dh_auto_test

override_dh_gnome_clean:

## deja-dup 49.0

=== debian/changelog ===
deja-dup (49.0-1) unstable; urgency=medium

  * New upstream release
  * Revert "debian/rules: Ignore failing tests"
  * debian/patches: Disable time-related tests failing in debian
  * debian: Add autopkgtests
  * debian/salsa-ci: Enable

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Sep 2025 02:28:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
+               fuse3 <!nocheck>,
                itstool,
-               libadwaita-1-dev (>= 1.7),
+               libadwaita-1-dev (>= 1.8~beta),
                libglib2.0-bin,
                libglib2.0-dev (>= 2.80),
                libgtk-4-dev (>= 4.18),
@@ -20,6 +21,7 @@
                libsoup-3.0-dev,
                meson (>= 1.1),
                pkgconf,
+               restic (>= 0.17.1) <!nocheck>,
                valac (>= 0.36),
                xdg-user-dirs <!nocheck>,
 Standards-Version: 4.7.0
@@ -30,12 +32,18 @@
 
 Package: deja-dup
 Architecture: any
-Depends: duplicity (>= 0.7.14), ${misc:Depends}, ${shlibs:Depends}
-Recommends: gvfs-backends, packagekit
-Suggests: python3-pydrive2
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         fuse3,
+         restic (>= 0.17.1),
+Recommends: gvfs-backends,
+            gvfs-fuse,
+            packagekit,
+            rclone,
+Suggests: duplicity (>= 2.1.0),
 Description: Backup utility
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
- Right Way (encrypted, off-site, and regular) and uses duplicity as the
+ Right Way (encrypted, off-site, and regular) and uses Restic as the
  backend.
  .
  Features:

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,14 @@
                           -Dgvfs_pkgs=gvfs-backends,gvfs-fuse \
                           -Dpackagekit=enabled
 
+override_dh_gnome_clean:
+
+# This is triggered by autopkgtest script, so don't drop it even if empty.
 override_dh_auto_test:
-	-dh_auto_test
-
-override_dh_gnome_clean:
+ifneq ($(AUTOPKGTEST_TMP),)
+	# We limit the tests running in this case, since some have troubles running
+	# See: https://gitlab.gnome.org/World/deja-dup/-/issues/602
+	dh_auto_test -- script-*
+else
+	dh_auto_test
+endif

=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://gitlab.gnome.org/World/@PACKAGE@/tags?sort=updated_desc \
	-/archive/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## deja-dup 49.3

=== debian/changelog ===
deja-dup (49.3-1ubuntu1) resolute; urgency=medium

  * Merge with Debian, remaining changes
  * debian/salsa-ci: Enable for ubuntu
  * debian/rules: Also run libdeja and validation tests with autopkgtests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Feb 2026 13:56:28 +0100

deja-dup (49.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Feb 2026 13:51:30 +0100

deja-dup (49.0-1ubuntu3) resolute; urgency=medium

  * d/control,
    d/p/data-app.gschema.xml-Use-duplicity-as-default-backup-tool.patch:
    - use restic by default now that the MIR was approved

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Feb 2026 16:51:06 +0100

deja-dup (49.0-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:29:26 +0100

deja-dup (49.0-1ubuntu1) questing; urgency=medium

  * debian/patch: Refresh
  * debian/salsa-ci: Enable for ubuntu
  * d/p/use-duplicity: Adjust test cases for ubuntu schema
  * debian/rules: Also run libdeja and validation tests with autopkgtests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Sep 2025 03:00:31 +0200
